Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.cache
Class NullFilesCache

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.cache.AbstractFilesCache
              org.apache.commons.vfs.cache.NullFilesCache

All Implemented Interfaces:
  FilesCache, VfsComponent

public class NullFilesCache
extends AbstractFilesCache

A `FilesCache` implementation.
This implementation never ever caches a single file.

Notice: if you use resolveFile(uri) multiple times with the same path, the system will always create a new instance. Changes on one instance of this file are not seen by the others.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`NullFilesCache()`

Method Summary
`void` | `clear(FileSystem filesystem)` purge the entries corresponding to the filesystem
`void` | `close()` purge the whole cache
`FileObject` | `getFile(FileSystem filesystem, FileName name)` retrieve a file from the cache by its name
`void` | `putFile(FileObject file)` add a fileobject to the cache
`void` | `removeFile(FileSystem filesystem, FileName name)` removes a file from cache
`void` | `touchFile(FileObject file)`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFilesCache

    public NullFilesCache()

Method Detail

### putFile

    public void putFile(FileObject file)

  Description copied from interface: `FilesCache`
  add a fileobject to the cache

  Parameters:
    `file` - the file

### getFile

    public FileObject getFile(FileSystem filesystem,
                              FileName name)

  Description copied from interface: `FilesCache`
  retrieve a file from the cache by its name

  Parameters:
    `name` - the name
  Returns:
    the fileobject or null if file is not cached

### clear

    public void clear(FileSystem filesystem)

  Description copied from interface: `FilesCache`
  purge the entries corresponding to the filesystem

### close

    public void close()

  Description copied from interface: `FilesCache`
  purge the whole cache

  Specified by:
    `close` in interface `FilesCache`
  Overrides:
    `close` in class `AbstractVfsComponent`

### removeFile

    public void removeFile(FileSystem filesystem,
                           FileName name)

  Description copied from interface: `FilesCache`
  removes a file from cache

  Parameters:
    `filesystem` - filesystem
    `name` - filename

### touchFile

    public void touchFile(FileObject file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.